import { ElementRef } from '@angular/core';
export declare class ListDetailComponent {
    listWidth: string;
    detailWidth: string;
    headerHeight: string;
    footerHeight: string;
    listFooterHeight: string;
    detailClass: string;
    listClass: string;
    listEl: ElementRef;
    detailEl: ElementRef;
    readonly gridStyles: {
        gridTemplateRows: string;
        gridTemplateColumns: string;
    };
    scrollListToTop(): void;
    scrollDetailToTop(): void;
    scrollToTop(): void;
}
